Subject: bug#15703: [PATCH 1/8] EWW: Support user defined representation for checkbox.

From: Stefan Monnier <[email-masked]>
Date: Mon, 04 Nov 2013 12:51:52 -0500

> OK.  My proposal is to do something about that need at the Emacs core
> level so packages don't have to invent their own glyph mapping
> facilities.  Should I take it to emacs-devel or do you want to keep the
> discussion here?  And do you agree there's a need?

Move it to emacs-devel.  But if you want it to work for "multi-glyph"
situations (such as trees), then the main problem will be how to
design it.  So, rather than discuss, it might be better to try and come
up with a preliminary implementation.

The situation for EWW (and Custom) is fairly different since relative
alignment is not that important, so the mapping can be done for each
glyph individually, so the system can be fairly simple.

        Stefan